## org.eclipse.emf.ocl.expressions
Interface OperationCallExp

All Superinterfaces:
  ASTNode, CallExp, CallingASTNode, EModelElement, ENamedElement, EObject, FeatureCallExp, Notifier, OCLExpression, TypedElement, Visitable

All Known Implementing Classes:
  OperationCallExpImpl

Deprecated. Use the `OperationCallExp` interface, instead.

    @Deprecated
    public interface OperationCallExp

extends FeatureCallExp

Field Summary
`static String` `copyright` Deprecated.

Method Summary
`EList` `getArgument()` Deprecated. Returns the value of the 'Argument' containment reference list.
`int` `getOperationCode()` Deprecated.
`EOperation` `getReferredOperation()` Deprecated.
`void` `setOperationCode(int opCode)` Deprecated.
`void` `setReferredOperation(EOperation value)` Deprecated. Sets the value of the '`Referred Operation`' reference

Methods inherited from interface org.eclipse.emf.ocl.expressions.FeatureCallExp
`isMarkedPre, setMarkedPre`

Methods inherited from interface org.eclipse.emf.ocl.expressions.CallExp
`getSource, setSource`

Methods inherited from interface org.eclipse.emf.ocl.uml.TypedElement
`getType, setType`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.emf.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.emf.ocl.utilities.CallingASTNode
`getPropertyEndPosition, getPropertyStartPosition, setPropertyEndPosition, setPropertyStartPosition`

Methods inherited from interface org.eclipse.emf.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Field Detail

### copyright

    static final String copyright

  Deprecated.

  See Also:
    Constant Field Values

Method Detail

### getArgument

    EList getArgument()

  Deprecated.
  Returns the value of the 'Argument' containment reference list. The list contents are of type `OCLExpression`.

  If the meaning of the 'Argument' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Argument' containment reference list.
  See Also:
    `ExpressionsPackage.getOperationCallExp_Argument()`

### getReferredOperation

    EOperation getReferredOperation()

  Deprecated.

### setReferredOperation

    void setReferredOperation(EOperation value)

  Deprecated.
  Sets the value of the '`Referred Operation`' reference.

  Parameters:
    `value` - the new value of the 'Referred Operation' reference.
  See Also:
    `getReferredOperation()`

### getOperationCode

    int getOperationCode()

  Deprecated.

### setOperationCode

    void setOperationCode(int opCode)

  Deprecated.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.